PASSWD(1)

NOME
passwd - cambia la password utente

SINOSSI

passwd [opzioni] [LOGIN]

DESCRIZIONE

The passwd command changes passwords for user accounts. A normal user may only change the password for their own account, while the superuser may change the password for any account. passwd also changes the account or associated password validity period.

  Modifiche delle password

All'utente viene prima chiesta la propria password attuale, se presente. Questa password viene cifrata e confrontata con quella memorizzata. All'utente viene data solo una possibilità di inserire la password corretta. Il super utente salta questo passo in modo da poter modificare password dimenticate.

After the password has been entered, password aging information is checked to see if the user is permitted to change the password at this time. If not, passwd refuses to change the password and exits.

All'utente viene quindi chiesto di inserire la nuova password due volte. Le due password sono confrontate e devono essere uguali affinché la password venga accettata.

Quindi viene misurata la complessità della password. In linea di massima le password dovrebbero contenere dai 6 agli 8 caratteri, includendovi uno o più caratteri da ciascuno dei seguenti insiemi:

    • lettere minuscole

    • numeri da 0 a 9

    • segni di punteggiatura

Care must be taken not to include the system default erase or kill characters. passwd will reject any password which is not suitably complex.

  Suggerimenti per password utente

The security of a password depends upon the strength of the encryption algorithm and the size of the key space. The legacy UNIX System encryption method is based on the NBS DES algorithm. More recent methods are now recommended (see ENCRYPT_METHOD). The size of the key space depends upon the randomness of the password which is selected.

La compromissione di una password avviene normalmente a seguito di incuria nella scelta o nella gestione della password. Per questo motivo non si devono utilizzare password che appaiono nei dizionari o che devono essere scritte. La password non deve essere uno nome proprio, il numero della patente, la data di nascita o l'indirizzo. Uno qualunque di questi potrebbe essere indovinato per violare la sicurezza del sistema.

You can find advice on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

OPZIONI

The options which apply to the passwd command are:

-a, --all
    This option can be used only with -S and causes show status for all users.

-d, --delete
    Cancella la password utente (la rende vuota). Questo è un metodo veloce per disabilitare la password per l'account. Imposta l'account indicato come senza password.

-e, --expire
    Fa scadere subito la password dell'utente. Il che ha l'effetto di forzare un cambio password al successivo accesso da parte dell'utente.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-i, --inactive INACTIVE
    This option is used to disable an account after the password has been expired for a number of days. After a user account has had an expired password for INACTIVE days, the user may no longer sign on to the account.

-k, --keep-tokens
    Indica che il cambio password va effettuato solo per i token (password) di autenticazione scaduti. L'utente vuole mantenere inalterati i token non scaduti.

-l, --lock
    Blocca la password dell'account indicato. Questa opzione disabilita una password modificandola in modo che non corrisponda a nessun valore cifrato (aggiunge un «!» all'inizio della password).

    Note that this does not disable the account. The user may still be able to login using another authentication token (e.g. an SSH key). To disable the account, administrators should use usermod --expiredate 1 (this set the account's expire date to Jan 2, 1970).

    Gli utenti con password bloccata non la possono cambiare.

-n, --mindays MIN_DAYS
    Set the minimum number of days between password changes to MIN_DAYS. A value of zero for this field indicates that the user may change their password at any time.

-q, --quiet
    Modalità silenziosa.

-r, --repository REPOSITORY
    change password in REPOSITORY repository

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-S, --status
    Visualizza le informazioni sullo stato di un account. Lo stato consiste di 7 campi. Il primo campo è il nome dell'utente. Il secondo campo indica se l'account ha una password bloccata (L), non ha password (NP) o ha una password valida (P). Il terzo campo contiene la data di ultima modifica della password. I successivi quattro campi sono l'età minima, la massima, il periodo di avviso e quello di inattività. Queste età sono espresse in giorni.

-u, --unlock
    Unlock the password of the named account. This option re-enables a password by changing the password back to its previous value (to the value before using the -l option).

-w, --warndays WARN_DAYS
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned that their password is about to expire.

-x, --maxdays MAX_DAYS
    Set the maximum number of days a password remains valid. After MAX_DAYS, the password is required to be changed.

    Passing the number -1 as MAX_DAYS will remove checking a password's validity.

AVVISI/CAVEAT

Il controllo della complessità delle password varia da sistema a sistema. All'utente è caldamente consigliato si utilizzare una password che ritenga sufficientemente complessa.

Gli utenti possono non essere in grado di cambiare la propria password se NIS è abilitato ed essi non sono collegati al server NIS.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

ENCRYPT_METHOD (string)
    Definisce l'algoritmo di cifratura predefinito per le password (se non ne viene specificato uno a riga di comando).

    It can take one of these values: DES (default), MD5, SHA256, SHA512. MD5 and DES should not be used for new hashes, see crypt(5) for recommendations.

    Note: this parameter overrides the MD5_CRYPT_ENAB variable.

MD5_CRYPT_ENAB (boolean)
    Indicate if passwords must be encrypted using the MD5-based algorithm. If set to yes, new passwords will be encrypted using the MD5-based algorithm compatible with the one used by recent releases of FreeBSD. It supports passwords of unlimited length and longer salt strings. Set to no if you need to copy encrypted passwords to other systems which don't understand the new algorithm. Default is no.

    This variable is superseded by the ENCRYPT_METHOD variable or by any command line option used to configure the encryption algorithm.

    This variable is deprecated. You should use ENCRYPT_METHOD.

OBSCURE_CHECKS_ENAB (boolean)
    Abilita controlli addizionali durante il cambio password.

PASS_ALWAYS_WARN (boolean)
    Avvisa riguardo password deboli (anche se le permette egualmente) se si è root.

PASS_CHANGE_TRIES (number)
    Massimo numero di tentativi per cambiare una password (troppo facile).

PASS_MAX_LEN (number), PASS_MIN_LEN (number)
    Number of significant characters in the password for crypt(). PASS_MAX_LEN is 8 by default. Don't change unless your crypt() is better. This is ignored if MD5_CRYPT_ENAB set to yes.

SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
    When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

    Con molti cicli è più difficile trovare una password usando la forza bruta. Ma va notato che è richiesta maggiore potenza di calcolo per autenticare gli utenti.

    If not specified, the libc will choose the default number of rounds (5000), which is orders of magnitude too low for modern hardware.

    Il valore deve essere compreso tra 1.000 e 999.999.999.

    If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

    If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

/etc/login.defs
    Configurazione del pacchetto password shadow

VALORI RESTITUITI

The passwd command exits with the following values:

0
    success

1
    permission denied

2
    invalid combination of options

3
    unexpected failure, nothing done

4
    unexpected failure, passwd file missing

5
    passwd file busy, try again

6
    invalid argument to option

VEDERE ANCHE

chpasswd(8), passwd(5), shadow(5), login.defs(5), usermod(8).